## org.eclipse.emf.compare.diff.metamodel.impl
Class DiffElementImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.compare.diff.metamodel.impl.DiffElementImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, DiffElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  AttributeChangeImpl, ConflictingDiffElementImpl, DiffGroupImpl, ModelElementChangeImpl, ReferenceChangeImpl, ResourceDiffImpl

    public abstract class DiffElementImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements DiffElement

An implementation of the model object 'Element'.

The following features are implemented:

- `Sub Diff Elements`
- `Is Hidden By`
- `Conflicting`
- `Kind`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected boolean` `conflicting` The cached value of the '`Conflicting`' attribute.
`protected static boolean` `CONFLICTING_EDEFAULT` The default value of the '`Conflicting`' attribute.
`protected org.eclipse.emf.common.util.EList<AbstractDiffExtension>` `isHiddenBy` The cached value of the '`Is Hidden By`' reference list.
`protected DifferenceKind` `kind` The cached value of the '`Kind`' attribute.
`protected static DifferenceKind` `KIND_EDEFAULT` The default value of the '`Kind`' attribute.
`protected boolean` `remote` The cached value of the '`Remote`' attribute.
`protected static boolean` `REMOTE_EDEFAULT` The default value of the '`Remote`' attribute.
`protected org.eclipse.emf.common.util.EList<DiffElement>` `subDiffElements` The cached value of the '`Sub Diff Elements`' containment reference list.

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `DiffElementImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<AbstractDiffExtension>` `getIsHiddenBy()`
`DifferenceKind` `getKind()`
`org.eclipse.emf.common.util.EList<DiffElement>` `getSubDiffElements()`
`boolean` `isConflicting()`
`boolean` `isRemote()`
`void` `setRemote(boolean newRemote)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### subDiffElements

    protected org.eclipse.emf.common.util.EList<DiffElement> subDiffElements

  The cached value of the '`Sub Diff Elements`' containment reference list.

  See Also:
    `getSubDiffElements()`

### isHiddenBy

    protected org.eclipse.emf.common.util.EList<AbstractDiffExtension> isHiddenBy

  The cached value of the '`Is Hidden By`' reference list.

  See Also:
    `getIsHiddenBy()`

### CONFLICTING_EDEFAULT

    protected static final boolean CONFLICTING_EDEFAULT

  The default value of the '`Conflicting`' attribute.

  See Also:
    `isConflicting()`, Constant Field Values

### conflicting

    protected boolean conflicting

  The cached value of the '`Conflicting`' attribute.

  See Also:
    `isConflicting()`

### KIND_EDEFAULT

    protected static final DifferenceKind KIND_EDEFAULT

  The default value of the '`Kind`' attribute.

  See Also:
    `getKind()`

### kind

    protected DifferenceKind kind

  The cached value of the '`Kind`' attribute.

  See Also:
    `getKind()`

### REMOTE_EDEFAULT

    protected static final boolean REMOTE_EDEFAULT

  The default value of the '`Remote`' attribute.

  See Also:
    `isRemote()`, Constant Field Values

### remote

    protected boolean remote

  The cached value of the '`Remote`' attribute.

  See Also:
    `isRemote()`

Constructor Detail

### DiffElementImpl

    protected DiffElementImpl()

Method Detail

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getIsHiddenBy

    public org.eclipse.emf.common.util.EList<AbstractDiffExtension> getIsHiddenBy()

  Specified by:
    `getIsHiddenBy` in interface `DiffElement`
  Returns:
    the value of the 'Is Hidden By' reference list.
  See Also:
    `DiffPackage.getDiffElement_IsHiddenBy()`, `AbstractDiffExtension.getHideElements()`

### getKind

    public DifferenceKind getKind()

  Specified by:
    `getKind` in interface `DiffElement`
  Returns:
    the value of the 'Kind' attribute.
  See Also:
    `DifferenceKind`, `DiffPackage.getDiffElement_Kind()`

### isRemote

    public boolean isRemote()

  Specified by:
    `isRemote` in interface `DiffElement`
  Returns:
    the value of the 'Remote' attribute.
  See Also:
    `DiffElement.setRemote(boolean)`, `DiffPackage.getDiffElement_Remote()`

### setRemote

    public void setRemote(boolean newRemote)

  Specified by:
    `setRemote` in interface `DiffElement`
  Parameters:
    `newRemote` - the new value of the 'Remote' attribute.
  See Also:
    `DiffElement.isRemote()`

### getSubDiffElements

    public org.eclipse.emf.common.util.EList<DiffElement> getSubDiffElements()

  Specified by:
    `getSubDiffElements` in interface `DiffElement`
  Returns:
    the value of the 'Sub Diff Elements' containment reference list.
  See Also:
    `DiffPackage.getDiffElement_SubDiffElements()`

### isConflicting

    public boolean isConflicting()

  Specified by:
    `isConflicting` in interface `DiffElement`
  Returns:
    the value of the 'Conflicting' attribute.
  See Also:
    `DiffPackage.getDiffElement_Conflicting()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

Copyright 2006 IBM Corporation and others. All Rights Reserved.